mcrypt_ecb
mcrypt_enc_get_block_size
Mcrypt Functions
PHP Manual

# mcrypt_enc_get_algorithms_name

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_enc_get_algorithms_name — Returns the name of the opened algorithm

### Description

string mcrypt_enc_get_algorithms_name ( resource `$td` )

This function returns the name of the algorithm.

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns the name of the opened algorithm as a string.

### Examples

Example #1 mcrypt_enc_get_algorithms_name() example

`<?php
$td = mcrypt_module_open(MCRYPT_CAST_256, '', MCRYPT_MODE_CFB, '');
echo mcrypt_enc_get_algorithms_name($td). "\n";
$td = mcrypt_module_open('cast-256', '', MCRYPT_MODE_CFB, '');
echo mcrypt_enc_get_algorithms_name($td). "\n";
?>`

The above example will output:

    CAST-256
    CAST-256

mcrypt_ecb
mcrypt_enc_get_block_size
Mcrypt Functions
PHP Manual